Bug 195367 - acpi_cpufreq prevents suspend (Could not power down device <NULL>)
acpi_cpufreq prevents suspend (Could not power down device <NULL>)
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Depends On:
  Show dependency treegraph
Reported: 2006-06-14 17:44 EDT by Sitsofe Wheeler
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.18-1.2257.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-22 10:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2006-06-14 17:44:31 EDT
Description of problem:
Having the acpi_cpufreq module loaded vetos suspension (either to ram or to
disk) on certain systems and leaves a cryptic error message in the logs.

Version-Release number of selected component (if applicable):

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Boot the system.
2. Run pm-suspend .
Actual results:
Monitor blanks, disks power down but system powers back up straight away.

Expected results:
System to stay powered down until ACPI wake up event.

Additional info:
This is in the logs:

Jun  5 18:10:23 x kernel: Stopping tasks:
Jun  5 18:10:23 x kernel: Shrinking memory... done (29166 pages freed)
Jun  5 18:10:23 x kernel: pnp: Device 00:08 disabled.
Jun  5 18:10:23 x kernel: pnp: Device 00:07 disabled.
Jun  5 18:10:23 x kernel: skge eth0: disabling interface
Jun  5 18:10:23 x kernel: Class driver suspend failed for cpu0
Jun  5 18:10:23 x kernel: Could not power down device <NULL>: error -22
Jun  5 18:10:23 x kernel: Some devices failed to power down, aborting suspend

modprobe -r acpi_cpufreq
beforehand lets the suspend happen successfully. acpi_cpufreq seems to be loaded
by the cpuspeed initscript. On a related note using
/sbin/chkconfig cpuspeed off
leaves cpuspeed turned on at runlevel 1.

(There is only 1 CPU) The output of
cat /proc/acpi/processor/CPU0/throttling
state count:             2
active state:            T0
   *T0:                  00%
    T1:                  50%

cat /proc/cpuinfo says this:
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 7
model name      : AMD Duron(tm) processor
stepping        : 1
cpu MHz         : 1111.051
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow ts
bogomips        : 2225.14
Comment 1 Sitsofe Wheeler 2006-09-09 05:34:37 EDT
ccing Alan because it might be a kernel issue and there's been no response...
Comment 2 Jarod Wilson 2006-12-21 15:20:45 EST
What happens if you try with the latest kernel and cpuspeed builds available
from the updates yum repo?
Comment 3 Sitsofe Wheeler 2006-12-22 10:27:07 EST
This has been fixed.
modprobe acpi_cpufreq
now says:
FATAL: Error inserting acpi_cpufreq
No such device

And on boot the following is in the logs:
powernow-k8: Processor cpuid 671 not supported


Note You need to log in before you can comment on or make changes to this bug.